aboutsummaryrefslogtreecommitdiff
path: root/aux/workflow/l10n.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-09-01 11:18:01 -0300
committerEuAndreh <eu@euandre.org>2021-09-01 11:18:01 -0300
commit692185136a6d7e96660b90370759d1f83a05ec4c (patch)
tree34852b497fd9054ab55ff27045efd4a19dd9f331 /aux/workflow/l10n.sh
parentsrc/remembering.c: Enforce C style (diff)
downloadremembering-692185136a6d7e96660b90370759d1f83a05ec4c.tar.gz
remembering-692185136a6d7e96660b90370759d1f83a05ec4c.tar.xz
aux/: Update
Diffstat (limited to 'aux/workflow/l10n.sh')
-rwxr-xr-xaux/workflow/l10n.sh24
1 files changed, 18 insertions, 6 deletions
diff --git a/aux/workflow/l10n.sh b/aux/workflow/l10n.sh
index 66e452a..cf687aa 100755
--- a/aux/workflow/l10n.sh
+++ b/aux/workflow/l10n.sh
@@ -29,19 +29,27 @@ assert_arg "${LANGS:-}" '-l LANGS'
for from_f in "$@"; do
for lang in $LANGS ${CONTRIBLANGS:-}; do
to_f="$(echo "$from_f" | sed "s/\.en\./.$lang./")"
- printf 'Generating %s...\n' "$to_f"
+ printf 'Generating %s...\n' "$to_f" >&2
pofile="po/LC_MESSAGES/$from_f/$lang.po"
mkdir -p "$(dirname "$pofile")"
case "$from_f" in
*.en.[1-9].in)
po4a-updatepo -f man -m "$from_f" -p "$pofile"
- po4a-translate -f man -m "$from_f" -p "$pofile" -l "$to_f" -k 0 -v >&2
+ po4a-translate -f man -m "$from_f" \
+ -p "$pofile" -l "$to_f" -k 0 -v >&2
+ ;;
+ *.en.html)
+ po4a-updatepo -f xhtml -m "$from_f" -p "$pofile"
+ po4a-translate -f xhtml -m "$from_f" \
+ -p "$pofile" -l "$to_f" -k 0 -v >&2
;;
*.en.md)
touch "$pofile"
- md2po --include-codeblocks --quiet --save --po-filepath "$pofile" < "$from_f"
- po2md --pofiles "$pofile" --quiet --save "$to_f" --wrapwidth 999 < "$from_f"
+ md2po --include-codeblocks --quiet --save \
+ --po-filepath "$pofile" < "$from_f"
+ po2md --pofiles "$pofile" --save "$to_f" \
+ --quiet --wrapwidth 999 < "$from_f"
;;
*)
echo "Unsupported file format: $from_f" >&2
@@ -56,8 +64,12 @@ yellowb="\033[1;33m"
for lang in $LANGS; do
# shellcheck disable=2044
for pofile in $(find po/ -type f -name "$lang.po"); do
- if LANG=POSIX msgfmt --statistics "$pofile" 2>&1 | grep untranslated; then
- printf "\n\t${yellowb}WARNING${end}!\n Missing translations for %s\n\n" "$pofile" >&2
+ if ! LANG=POSIX msgfmt --statistics "$pofile" 2>&1 |
+ grep untranslated; then
+ continue
fi
+ # shellcheck disable=2059
+ printf "\n ${yellowb}WARNING${end}!" >&2
+ printf "\n Missing translations for %s\n\n" "$pofile" >&2
done
done